#!/usr/bin/perl
#: make thumbs for the given items
#==============================================================================
#### See the end of this file for the distribution/copyright license.
# sburke@cpan.org
our $Last_Modified =' Time-stamp: "2016-06-04 20:10:46 MDT"';
our $VERSION= "0.01";  use strict;  use warnings;    use  Carp::Always;
use constant DEBUG => 2;

our $Scale_Percent =
 # "10%"
   "5%"
;

our $Convert_BIN = "convert";
our(@Convert_Params) = ( qw( -colors 16 -scale ) , $Scale_Percent  );

$| = 1;
Main_Run();
exit;
#======================================================================


sub Main_Run { # where a command-line call starts.  All is in @ARGV

  # TODO: see ~/s/Perl/options to see what the best option-processing is.
  # Or:
  shift @ARGV if @ARGV and $ARGV[0] eq '--';
  die "I take no arguments" if @ARGV;

  my(@data_lines) = <DATA>;
  foreach( @data_lines ) { 
    next unless m/\S/;
    next if m/^\s*\#/;
    chomp;
    my($from) = m/^\s*  ( \S+\. (?: jpg|png|gif) ) \s* $/x;
    unless(defined $from) { 
      die "What? $_";
    }
    my $to = "./thumbs/$from";
    die "No $from?!" unless -e $from;
    if(-e $to) {
      unlink $to or die "Couldn't unlink $to - $!";
    }
    do_one_resize($from, $to);
  }
  return;
}

#======================================================================

sub do_one_resize {
  my($from,$to) = @_;
  my(@cmd) = (
    $Convert_BIN,
    $from,
    @Convert_Params,
    $to,
  );
  die "WHAT? No from?" unless $from and -e $from;
  die "WHAT? No to?"   if     $to   and -e $to;

  DEBUG and print "% @cmd\n";
  if( DEBUG > 9 ) {
    print "Would run: @cmd\n";
  } else {
    my $success = (0==system(@cmd));
  }


  return;

}

#======================================================================

__DATA__
p000_cover.jpg
p000_spine.jpg
p001_title.png
p100_main_dict_footer_1of2.png
p100_main_dict_footer_2of2.png
p466_main_dict_page_with_Oygyian.png
p809_begin_appendix_of_war_words.png
p811.png
p812.png
p813.png
p814.png
p815.png
p816.png
p817.png
p818.png
p819.png
p820.png
p821.png
p822.png
p823.png
p824.png
p830_classical_pronunc_1of9.png
p831_classical_pronunc_2of9.png
p832_classical_pronunc_3of9.png
p833_classical_pronunc_4of9.png
p834_classical_pronunc_5of9.png
p835_classical_pronunc_6of9.png
p836_classical_pronunc_7of9.png
p837_classical_pronunc_8of9.png
p838_classical_pronunc_9of9.png
p863_moneys_of_world_1of2_a.png
p864_moneys_of_world_2of2_a.png
p_f004_colophon_dateless_blurbs.png
p_f015_general_pronunc_1of2.png
p_f016_general_pronunc_2of2.png
